<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<META http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Index</title>

<style type="text/css" media="screen">
<!--
span.arw {
	color:#666666;
	font-size: 100%;
	}
	
body, p {
	font-family: Georgia, Times New Roman, Times, serif;
	line-height: 115%;
 	}

h1, h2, h3, h4 {
	font-family: Georgia, Times New Roman, Times, serif;
   	font-size: 110%;
	}

pre {
	font-family: Andale Mono, "Bitstream Vera Sans Mono", Monaco, "Courier New";
   	font-size: 100%;
	}

tt {
	font-family: Andale Mono, "Bitstream Vera Sans Mono", Monaco, "Courier New";
	font-size: 100%;
	}
-->
</style>
</head>

<body style="margin: 20px;" text="#333333" bgcolor="#FFFFFF" 
			link="#376590" vlink="#551A8B" alink="#ffAA28">
<blockquote>
<center><h1>Index</h1></center>
<a href="guiserver.lsp.html"><br/><br/><h2>Module:&nbsp;guiserver.lsp</h2></a>
<p>Functions for programming GUIs and 2D graphics.</p>
<a href="guiserver.lsp.html#gs_add-list-item">add-list-item</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_add-separator">add-separator</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_add-to">add-to</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_append-text">append-text</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_button">button</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_canvas">canvas</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_check-box">check-box</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_check-event">check-event</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_clear-list">clear-list</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_clear-text">clear-text</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_copy-text">copy-text</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_cut-text">cut-text</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_color-dialog">color-dialog</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_color-tag">color-tag</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_combo-box">combo-box</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_confirm-dialog">confirm-dialog</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_delete-tag">delete-tag</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_destroy-shell">destroy-shell</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_dialog">dialog</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_disable">disable</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_dispose">dispose</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_dispose-splash">dispose-splash</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_draw-arc">draw-arc</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_draw-circle">draw-circle</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_draw-ellipse">draw-ellipse</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_draw-image">draw-image</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_draw-line">draw-line</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_draw-path">draw-path</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_draw-polygon">draw-polygon</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_draw-rect">draw-rect</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_draw-round-rect">draw-round-rect</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_draw-text">draw-text</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_enable">enable</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_eva-shell">eva-shell</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_export">export</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_fill-arc">fill-arc</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_fill-circle">fill-circle</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_fill-ellipse">fill-ellipse</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_fill-polygon">fill-polygon</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_fill-rect">fill-rect</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_fill-round-rect">fill-round-rect</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_find-text">find-text</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_frame">frame</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_get-bounds">get-bounds</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_get-fonts">get-fonts</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_get-font-metrics">get-font-metrics</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_get-screen">get-screen</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_get-selected-text">get-selected-text</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_get-text">get-text</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_get-text-position">get-text-position</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_get-version">get-version</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_goto-text">goto-text</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_hide-tag">hide-tag</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_image-button">image-button</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_image-label">image-label</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_init">init</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_insert-list-item">insert-list-item</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_insert-tab">insert-tab</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_insert-text">insert-text</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_key-event">key-event</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_label">label</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_layout">layout</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_load-text">load-text</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_listen">listen</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_list-box">list-box</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_message-dialog">message-dialog</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_menu">menu</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_menu-popup">menu-popup</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_menu-bar">menu-bar</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_menu-item">menu-item</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_menu-item-check">menu-item-check</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_mouse-clicked">mouse-clicked</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_mouse-dragged">mouse-dragged</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_mouse-event">mouse-event</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_mouse-moved">mouse-moved</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_mouse-pressed">mouse-pressed</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_mouse-released">mouse-released</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_mouse-wheel">mouse-wheel</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_move-tag">move-tag</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_no-action">no-action</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_open-file-dialog">open-file-dialog</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_panel">panel</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_paste-text">paste-text</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_play-sound">play-sound</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_progress-bar">progress-bar</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_radio-button">radio-button</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_redo-text">redo-text</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_remove-from">remove-from</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_remove-list-item">remove-list-item</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_remove-tab">remove-tab</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_request-focus">request-focus</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_reorder-tags">reorder-tags</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_rotate-tag">rotate-tag</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_run-shell">run-shell</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_save-file-dialog">save-file-dialog</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_save-text">save-text</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_scale-tag">scale-tag</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_select-list-item">select-list-item</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_select-text">select-text</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_scroll-pane">scroll-pane</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_set-accelerator">set-accelerator</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_set-anti-aliasing">set-anti-aliasing</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_set-background">set-background</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_set-bevel-border">set-bevel-border</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_set-border-layout">set-border-layout</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_set-canvas">set-canvas</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_set-caret">set-caret</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_set-caret-color">set-caret-color</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_set-color">set-color</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_set-cursor">set-cursor</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_set-editable">set-editable</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_set-flow-layout">set-flow-layout</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_set-font">set-font</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_set-foreground">set-foreground</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_set-grid-layout">set-grid-layout</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_set-icon">set-icon</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_set-look-and-feel">set-look-and-feel</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_set-paint">set-paint</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_set-pressed-icon">set-pressed-icon</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_set-resizable">set-resizable</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_set-rotation">set-rotation</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_set-scale">set-scale</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_set-selected">set-selected</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_set-selection-color">set-selection-color</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_set-size">set-size</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_set-stroke">set-stroke</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_set-syntax">set-syntax</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_set-syntax-colors">set-syntax-colors</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_set-tab-size">set-tab-size</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_set-text">set-text</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_set-titled-border">set-titled-border</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_set-tool-tip">set-tool-tip</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_set-trace">set-trace</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_set-translation">set-translation</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_set-utf8">set-utf8</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_set-value">set-value</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_set-visible">set-visible</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_shear-tag">shear-tag</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_show-popup">show-popup</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_show-tag">show-tag</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_slider">slider</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_split-pane">split-pane</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_tabbed-pane">tabbed-pane</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_text-area">text-area</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_text-field">text-field</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_text-pane">text-pane</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_toggle-button">toggle-button</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_tool-bar">tool-bar</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_translate-tag">translate-tag</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_undo-text">undo-text</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_undo-enable">undo-enable</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_update">update</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_window">window</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_window-closed">window-closed</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_window-moved">window-moved</a>&nbsp; &nbsp; <a href="guiserver.lsp.html#gs_window-resized">window-resized</a>&nbsp; &nbsp; 
<p></p><center>- &part; -</center><br/>
<center><font face='Arial' size='-2' color='#444444'>
generated with <a href="http://newlisp.org">newLISP</a>&nbsp;
and <a href="http://newlisp.org/newLISPdoc.html">newLISPdoc</a>
</font></center>
</blockquote>
</body>
</html>
